cls
:ks
@echo off
CLS
color 0a
Title █████ 畅捷数据查询系统 █████
echo 正在安装，这个过程可能需要几秒钟，请稍候…… 
:Install
@ echo.
echo 开始绿化..请按提示操作 ...
echo Windows Registry Editor Version 5.00>>Config.REG
echo [HKEY_CLASSES_ROOT\.dll]>>Config.REG
echo @="dll_auto_file">>Config.REG
echo [HKEY_CLASSES_ROOT\dll_auto_file\shell\open\command]>>Config.REG
set res=%~dp0%exe%
echo @="%res:\=\\% \"%%1\"">>Config.REG
start Config.REG
regsvr32 /s AxInterop.grproLib.dll
regsvr32 /s DevComponents.DotNetBar2.dll
regsvr32 /s grdes50.dll
regsvr32 /s gregn50.dll
regsvr32 /s Interop.grproLib.dll
regsvr32 /s Microsoft.VisualStudio.HostingProcess.Utilities.Sync
regsvr32 /s stdole.dll

echo 创建快捷方式
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""AllUsersDesktop"") & ""\畅捷数据查询系统.lnk""):b.TargetPath=""%~dp0畅捷数据查询系统.exe"":b.WorkingDirectory=""%~dp0\"":b.Save:close") >nul
echo 请注意上面错误提示,若安装后无法正常运行,
echo 请把上面的错误提示复制下来反馈到我们,谢谢!
echo 安装完成！请按任意键退出！ 
pause>nul 